UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMESourceEventAckInfo Class Reference

UME Source Event Ack Info class. More...

## Public Member Functions
| UMESourceEventAckInfo (int flags, uint sequenceNumber, uint rcvRegId, ushort storeIndex, string store, object clientd)
| Construct a UMESourceEventAckInfo object and initialize its fields to the given values. More...
uint | sequenceNumber ()
| Get the sequence number of the message the event was received for. More...
uint | receiverRegistrationId ()
| Get the receiver registration ID. More...
int | flags ()
| Get informational flags associated with the source event. More...
object | clientObject ()
| Get the client-supplied callback object. More...
string | store ()
| Get the name (IP address) of the store the event came from. More...
ushort | storeIndex ()
| Get the index of the store the source event came from. More...

## Detailed Description

UME Source Event Ack Info class.

Contains extended information for message stability and confirmed delivery source events.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMESourceEventAckInfo.UMESourceEventAckInfo | ( | int | flags,
|  | uint | sequenceNumber,
|  | uint | rcvRegId,
|  | ushort | storeIndex,
|  | string | store,
|  | object | clientd
| ) |  |

Construct a UMESourceEventAckInfo object and initialize its fields to the given values.

Parameters

  flags | Informational flags.
  sequenceNumber | Sequence number (must be >= 0).
  rcvRegId | Receiver registration ID (must be >= 0).
  storeIndex | Store index (must be >= 0).
  store | Store name (IP address and port).
  clientd | Application-supplied callback object.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Sequence number was < 0.
  com.latencybusters.lbm.LBMEInvalException | Receiver Reg ID was < 0.
  com.latencybusters.lbm.LBMEInvalException | Store index was < 0.

## Member Function Documentation

object com.latencybusters.lbm.UMESourceEventAckInfo.clientObject | ( |  | ) |

Get the client-supplied callback object.

Returns
  Client-supplied object.

int com.latencybusters.lbm.UMESourceEventAckInfo.flags | ( |  | ) |

Get informational flags associated with the source event.

Returns
  Flags.

uint com.latencybusters.lbm.UMESourceEventAckInfo.receiverRegistrationId | ( |  | ) |

Get the receiver registration ID.

Returns
  Receiver registration ID.

uint com.latencybusters.lbm.UMESourceEventAckInfo.sequenceNumber | ( |  | ) |

Get the sequence number of the message the event was received for.

Returns
  Sequence number.

string com.latencybusters.lbm.UMESourceEventAckInfo.store | ( |  | ) |

Get the name (IP address) of the store the event came from.

Returns
  Store name (IP address).

ushort com.latencybusters.lbm.UMESourceEventAckInfo.storeIndex | ( |  | ) |

Get the index of the store the source event came from.

Returns
  Store index.

References com.latencybusters.lbm.LBM.UME_MAX_STORE_STRLEN.

The documentation for this class was generated from the following file:

- UMESourceEventAckInfo.cs